%define upstream_name    SVN-Dump
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    A property block from a svn dump
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SVN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
*This module is an alpha release. The interfaces will probably change in
the future, as I slowly learn my way inside the SVN dump format.*

An 'SVN::Dump' object represents a Subversion dump.

This module follow the semantics used in the reference document (the file
_notes/fs_dumprestore.txt_ in the Subversion source tree):

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-6.mga6
+ Revision: 1033568
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.60.0-5.mga6
+ Revision: 946209
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 750067
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-3.mga5
+ Revision: 686158
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.60.0-2.mga4
+ Revision: 527292
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.60.0-1.mga4
+ Revision: 439845
- update to 0.06

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 372472
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 01 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 61921
- imported package perl-SVN-Dump


* Tue Mar 01 2011 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
